Bug 234569 - (perl-AcePerl) Review Request: perl-Ace - Perl module for interfacing with ACE bioinformatics databases
Review Request: perl-Ace - Perl module for interfacing with ACE bioinformatic...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: perl-bioperl
  Show dependency treegraph
 
Reported: 2007-03-30 03:26 EDT by Alex Lancaster
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 18:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2007-03-30 03:26:57 EDT
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-AcePerl.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-AcePerl-1.91-1.src.rpm
Description: 
AcePerl is a Perl interface for the ACEDB object-oriented database.
Designed specifically for use in genome sequencing projects, ACEDB
provides powerful modeling and management services for biological and
laboratory data.

License is in DISCLAIMER.txt

The Ace.pm package and all associated files are Copyright (c) 1998
Cold Spring Harbor Laboratory.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.  See the Artistic License file
in the main Perl distribution for specific terms and conditions of
use.
Comment 1 Paul Howarth 2007-03-30 08:24:41 EDT
(In reply to comment #0)
> License is in DISCLAIMER.txt
> 
> The Ace.pm package and all associated files are Copyright (c) 1998
> Cold Spring Harbor Laboratory.
> 
> This library is free software; you can redistribute it and/or modify
> it under the same terms as Perl itself.  See the Artistic License file
> in the main Perl distribution for specific terms and conditions of
> use.

That's a bit confusing; perl itself is dual licensed GPL/Artistic yet the note
above specifically mentions only the Artistic license. However, given that
either a dual-licensed module or Artistic-only would be OK, it's not going to be
a blocker for inclusion.
Comment 2 Parag AN(पराग) 2007-04-02 02:17:58 EDT
The only working URL I got is
http://www.cpan.org/modules/by-module/Ace/AcePerl-1.91.tar.gz
Can you please update that?
Comment 3 Parag AN(पराग) 2007-04-02 02:19:38 EDT
Not getting whats missing that made make test to fail
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/basic.......Waiting for remote acedb regression database to start up.  This
may take a few minutes.
Couldn't establish connection to database.  Aborting tests.
dubious
        Test returned status 22 (wstat 5632, 0x1600)
DIED. FAILED tests 2-10
        Failed 9/10 tests, 10.00% okay
t/object......Couldn't establish connection to database.  Aborting tests.
dubious
        Test returned status 22 (wstat 5632, 0x1600)
DIED. FAILED tests 2-36
        Failed 35/36 tests, 2.78% okay
t/sequence....Couldn't establish connection to database.  Aborting tests.
dubious
        Test returned status 22 (wstat 5632, 0x1600)
DIED. FAILED tests 2-54
        Failed 53/54 tests, 1.85% okay
t/update......Couldn't establish connection to database.  Aborting tests.
dubious
        Test returned status 22 (wstat 5632, 0x1600)
DIED. FAILED tests 2-17
        Failed 16/17 tests, 5.88% okay
Failed Test  Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/basic.t      22  5632    10   17 170.00%  2-10
t/object.t     22  5632    36   69 191.67%  2-36
t/sequence.t   22  5632    54  105 194.44%  2-54
t/update.t     22  5632    17   31 182.35%  2-17
Failed 4/4 test scripts, 0.00% okay. 113/117 subtests failed, 3.42% okay.
make: *** [test_dynamic] Error 22
error: Bad exit status from /var/tmp/rpm-tmp.77875 (%check)

Comment 4 Alex Lancaster 2007-04-02 05:37:01 EDT
Updated spec file:

Disable tests because they require network access at build-time.
Relabel package as perl-Ace for consistency with provides as perl(Ace)

Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Ace.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Ace-1.91-2.src.rpm
Comment 5 Parag AN(पराग) 2007-04-02 06:03:55 EDT
Can you also add here examples directory?
Comment 6 Alex Lancaster 2007-04-02 06:38:57 EDT
(In reply to comment #5)
> Can you also add here examples directory?

Done.

Comment 7 Parag AN(पराग) 2007-04-02 06:41:02 EDT
thanks and here come its review 
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
f473592d51f016ca4fe8efcf049e8b94  AcePerl-1.91.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test disabled.
+ file permissions are appropriate.
+ make test disabled.
+ Provides: perl(Ace) = 1.91 perl(Ace::Browser::AceSubs) = 1.21
perl(Ace::Browser::GeneSubs) perl(Ace::Browser::SearchSubs) = 1.30
perl(Ace::Browser::SiteDefs) perl(Ace::Browser::TreeSubs)
perl(Ace::Graphics::Fk) perl(Ace::Graphics::Glyph)
perl(Ace::Graphics::Glyph::anchored_arrow) perl(Ace::Graphics::Glyph::arrow)
perl(Ace::Graphics::Glyph::box) perl(Ace::Graphics::Glyph::crossbox)
perl(Ace::Graphics::Glyph::dot) perl(Ace::Graphics::Glyph::ex)
perl(Ace::Graphics::Glyph::graded_segments) perl(Ace::Graphics::Glyph::group)
perl(Ace::Graphics::Glyph::line) perl(Ace::Graphics::Glyph::primers)
perl(Ace::Graphics::Glyph::segments) perl(Ace::Graphics::Glyph::span)
perl(Ace::Graphics::Glyph::toomany) perl(Ace::Graphics::Glyph::transcript)
perl(Ace::Graphics::Glyph::triangle) perl(Ace::Graphics::GlyphFactory)
perl(Ace::Graphics::Panel) perl(Ace::Graphics::Track) perl(Ace::Iterator) = 1.51
perl(Ace::Local) = 1.05 perl(Ace::Model) = 1.51 perl(Ace::Object) = 1.66
perl(Ace::Object::Wormbase) perl(Ace::Sequence) = 1.51
perl(Ace::Sequence::Feature) perl(Ace::Sequence::FeatureList)
perl(Ace::Sequence::GappedAlignment) = 1.20 perl(Ace::Sequence::Gene)
perl(Ace::Sequence::Homol) perl(Ace::Sequence::Multi)
perl(Ace::Sequence::Transcript) perl(Ace::SocketServer) = 1.01 perl(GFF::Filehandle)

APPROVED.
Comment 8 Alex Lancaster 2007-04-02 06:44:56 EDT
New Package CVS Request
=======================
Package Name: perl-Ace
Short Description: Perl module for interfacing with ACE bioinformatics databases
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 
Comment 9 Jens Petersen 2007-04-02 09:23:56 EDT
done
Comment 10 Alex Lancaster 2007-04-02 18:52:56 EDT
Builds fine in all branches.  Closing.

Note You need to log in before you can comment on or make changes to this bug.